Overview
========
The bubble level demo demonstrates basic usage of the on-board accelerometer to implement a bubble level. A bubble
level utilizes two axes to visually show deviation from a level plane (0 degrees) on a given axis.

The following files are generated by MCUXpresso Config Tools:
- bubble_peripheral.mex: This mex file contains pin/clock/peripheral settings of this example. User can modify the settings in config tool and generate new source file for pin/clock/peripheral.
- peripheral.c/.h: These files are generated by MCUXpresso peripherals tool which could be imported back to the tool.
- clock_config.c/.h: These files are generated by MCUXpresso clocks tool which could be imported back to the tool.
- pin_mux.c/.h: These files are generated by MCUXpresso pins tool which could be imported back to the tool.


SDK version
===========
- Version: 2.15.000

Toolchain supported
===================
- IAR embedded Workbench  9.40.1
- Keil MDK  5.38.1
- GCC ARM Embedded  12.2

Hardware requirements
=====================
- Mini/micro USB cable
- EVK-MIMXRT1064 board
- Personal Computer

Board settings
==============
No special settings are required.

Prepare the Demo
================
1.  Connect a USB cable between the host PC and the OpenSDA USB port on the target board.
2.  Open a serial terminal with the following settings:
    - 115200 baud rate
    - 8 data bits
    - No parity
    - One stop bit
    - No flow control
3.  Download the program to the target board.
4.  Either press the reset button on your board or launch the debugger in your IDE to begin running the demo.

Running the demo
================

When the example runs successfully, you can see the similar
information from the terminal as shown below.

~~~~~~~~~~~~~~~~~~~~~
Welcome to the BUBBLE example

You will see the change of LED brightness when change angles of board

x=  6 y = 22
x=  8 y = 26
x= 10 y = 28
x= 10 y = 28
x= 11 y = 29
x= 11 y = 29
~~~~~~~~~~~~~~~~~~~~~

Note:
- If the user LED flashes constantly and the following message is printed on the console:
    Sensor device initialize failed!

    Please check the sensor chip U32

  please check if the combo sensor (U32) is presented on the board.
